package iofswrap

import (
	"github.com/spf13/afero"
	"io/fs"
)

var _ fs.File = (*IOFSFileWrapper)(nil)

func NewFileWrapper(afile afero.File) fs.File {
	return &IOFSFileWrapper{afile: afile}
}

type IOFSFileWrapper struct {
	afile afero.File
}

func (w IOFSFileWrapper) Stat() (fs.FileInfo, error) {
	return w.afile.Stat()
}

func (w IOFSFileWrapper) Read(bytes []byte) (int, error) {
	return w.afile.Read(bytes)
}

func (w IOFSFileWrapper) Close() error {
	return w.afile.Close()
}
